import { FormItem, FormConfig } from '@/components/form-render/form-render-types'

export const config: FormConfig = {
	layout: 'horizontal',
	colon: true,
	hideRequiredMark: false,
	labelAlign: 'right',
	scrollToFirstError: false,
	validateOnRuleChange: true,
	labelCol: {
		span: 4,
		offset: 0,
	},
}

export const formItems: FormItem[] = [
	{
		group: 'form',
		type: 'input',
		config: {
			autoLink: true,
			hasFeedback: false,
			label: '物料名称',
			name: 'name',
			required: true,
		},
		properties: {
			size: 'default',
			type: 'text',
			allowClear: false,
			bordered: true,
			showCount: false,
			placeholder: '请输入物料名称',
		},
		rules: [],
	},
	{
		group: 'form',
		type: 'input',
		config: {
			autoLink: true,
			hasFeedback: false,
			label: '物料类型',
			name: 'type',
		},
		properties: {
			size: 'default',
			type: 'text',
			allowClear: false,
			bordered: true,
			showCount: false,
			placeholder: '请输入物料类型',
		},
		rules: [],
	},
	{
		type: 'input',
		group: 'form',
		config: {
			autoLink: true,
			hasFeedback: false,
			label: '物料型号',
			name: 'spec',
			required: true,
		},
		properties: {
			size: 'default',
			controls: true,
			placeholder: '请填写物料型号',
		},
		rules: [],
	},
	{
		type: 'select',
		group: 'form',
		config: {
			autoLink: true,
			hasFeedback: false,
			label: '赋码规则',
			name: 'assignRule',
			required: true,
		},
		properties: {
			size: 'default',
			controls: true,
			placeholder: '请填写赋码规则',
			options: [
				{ label: '低值易耗品', value: 'LOW_VALUE' },
				{ label: '高价值工具类', value: 'HIGH_VALUE' },
			],
		},
		rules: [],
	},
	{
		type: 'input',
		group: 'form',
		config: {
			autoLink: true,
			hasFeedback: false,
			label: '备注',
			name: 'description',
			required: false,
		},
		properties: {
			size: 'default',
			controls: true,
			placeholder: '',
		},
		rules: [],
	},
]
